/***************************************************************************
 *                                                                         *
 *   KCPULoad and KNetLoad are copyright (c) 1999-2000, Markus Gustavsson  *
 *                                       (c) 2002, Ben Burton              *
 *                                       (c) 2004, Diego Pettenò           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef STATTRAY_H
#define STATTRAY_H

#include <ksystemtray.h>
#include "statgraph.h"

/**
 * @author Diego 'Flameeyes' Pettenò
 * @brief System tray with statistical graph support
 *
 * This class is used to simplify the use of StatGraph with system trays.
 * It creates a system tray which is in turn also a StatGraph.
 * The StatGraph's parent will be the same instance.
*/
class StatTray : virtual public KSystemTray
{
Q_OBJECT
public:
	/**
	 * @brief Constructor for StatTray
	 */
	StatTray(QWidget *parent, const char *name = "");
	~StatTray();

private:
	StatGraph *m_graph;
	
	/**
	* @brief Repaint this system tray window with a fresh diagram.
	*/
	void paintEvent(QPaintEvent*);
public:
	StatGraph *graph()
	{ return m_graph; }
};

#endif
